com.taosdata.jdbc.utils

## Class UInt64Codec

- java.lang.Object
- - com.taosdata.jdbc.utils.UInt64Codec

All Implemented Interfaces:
  com.alibaba.fastjson.parser.deserializer.ObjectDeserializer, com.alibaba.fastjson.serializer.ObjectSerializer

    public class UInt64Codec
    extends Object
    implements com.alibaba.fastjson.serializer.ObjectSerializer, com.alibaba.fastjson.parser.deserializer.ObjectDeserializer

### Constructor Summary

Constructors
Constructor and Description
`UInt64Codec()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Long` `castToLong(Object value)`
`<T> T` `deserialze(com.alibaba.fastjson.parser.DefaultJSONParser parser, Type clazz, Object fieldName)`
`int` `getFastMatchToken()`
`void` `write(com.alibaba.fastjson.serializer.JSONSerializer serializer, Object object, Object fieldName, Type fieldType, int features)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UInt64Codec

    public UInt64Codec()

### Method Detail

#### write

    public void write(com.alibaba.fastjson.serializer.JSONSerializer serializer,
                      Object object,
                      Object fieldName,
                      Type fieldType,
                      int features)
               throws IOException

Specified by:
  `write` in interface `com.alibaba.fastjson.serializer.ObjectSerializer`
Throws:
  `IOException`

#### deserialze

    public <T> T deserialze(com.alibaba.fastjson.parser.DefaultJSONParser parser,
                            Type clazz,
                            Object fieldName)

Specified by:
  `deserialze` in interface `com.alibaba.fastjson.parser.deserializer.ObjectDeserializer`

#### getFastMatchToken

    public int getFastMatchToken()

Specified by:
  `getFastMatchToken` in interface `com.alibaba.fastjson.parser.deserializer.ObjectDeserializer`

#### castToLong

    public static Long castToLong(Object value)